Bug 856866 - [abrt] calibre-0.8.63-1.fc17: plumber.py:647:__init__:ValueError: Input file must have an extension
[abrt] calibre-0.8.63-1.fc17: plumber.py:647:__init__:ValueError: Input file ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:5d84ad6eae1181681dca3daadbd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 22:15 EDT by Miloslav Trmač
Modified: 2014-02-05 17:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (422 bytes, text/plain)
2012-09-12 22:15 EDT, Miloslav Trmač
no flags Details

  None (edit)
Description Miloslav Trmač 2012-09-12 22:15:11 EDT
Version-Release number of selected component:
calibre-0.8.63-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        python2 /usr/bin/ebook-convert '/home/mitr/Dokumenty/Knihy/Amazon/Kindle User\'s Guide, 3rd Ed_ (240)' 0
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:plumber.py:647:__init__:ValueError: Input file must have an extension
:
:Traceback (most recent call last):
:  File "/usr/bin/ebook-convert", line 20, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 307, in main
:    parser, plumber = create_option_parser(args, log)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 266, in create_option_parser
:    plumber = Plumber(input, output, log, reporter)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 647, in __init__
:    raise ValueError('Input file must have an extension')
:ValueError: Input file must have an extension
:
:Local variables in innermost frame:
:dummy: False
:log: <calibre.utils.logging.Log object at 0x17ec610>
:self: <calibre.ebooks.conversion.plumber.Plumber object at 0x1e44bd0>
:override_input_metadata: False
:abort_after_input_dump: False
:merge_plugin_recs: True
:input_fmt: ''
:output: u'/home/mitr/x/0'
:x: <calibre.customize.profiles.TabletOutput object at 0x1e34050>
:report_progress: <calibre.ebooks.conversion.cli.ProgressBar object at 0x1e44b90>
:input: u"/home/mitr/Dokumenty/Knihy/Amazon/Kindle User's Guide, 3rd Ed_ (240)"
Comment 1 Miloslav Trmač 2012-09-12 22:15:15 EDT
Created attachment 612314 [details]
File: core_backtrace
Comment 2 Miloslav Trmač 2012-09-12 22:16:18 EDT
In this case, the first command-line argument was a directory name instead of a name of a file contained in that directory.
Comment 3 Kevin Fenzi 2012-09-13 11:13:16 EDT
Interesting. If you move the file to /tmp/ say, does it work then? 

(ie, is the directory name somehow confusing it?)
Comment 4 Miloslav Trmač 2012-09-13 11:19:11 EDT
(In reply to comment #3)
> Interesting. If you move the file to /tmp/ say, does it work then? 
> 
> (ie, is the directory name somehow confusing it?)

The most direct equivalent would be
>  ebook-convert /tmp 0
which fails with a similar traceback.  Or perhaps I have misunderstood your question.


(This report is only about the ugly error handling - I'm perfectly fine with ebook-convert not doing anything when invoked in this invalid fashion, but having something better than an abrt-caught exception would be nice.)
Comment 5 Kevin Fenzi 2012-09-13 13:03:11 EDT
Well, I can try reporting this to upstream (Or you can if you like? https://bugs.launchpad.net/ubuntu/+source/calibre )

But I don't think they care about this, and probably will not be willing to make error output nicer.
Comment 6 Fedora End Of Life 2013-07-04 02:06:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Miloslav Trmač 2013-07-04 09:23:43 EDT
Reproduced in calibre-0.9.28-1.fc18.x86_64.
Comment 8 Fedora End Of Life 2013-12-21 10:05:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 17:47:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.